import { world, ItemStack } from '@minecraft/server';

world.afterEvents.playerSpawn.subscribe(event => {
    const { player } = event;
    if (player.getTags().includes('nitric_cf_intro')) return;
    player.dimension.spawnItem(new ItemStack('nitric_cf:cf_recipe_book_spawn_egg'), player.location)
    player.addTag('nitric_cf_intro')
})